Spigot TheGreatSwordArtOnlineRPG [Discontinued/Dead] 2.7

Adds sao inspired features to your minecraft server.

  1. No problem :)

    You need to spawn a giant for that.
    /saomobs create giant <name> <displayname>
     
  2. Thanks alots man, i maybe will ask your help to configure over here check our website:

    www.minesquare.fr
     
  3. Shynixn updated TheGreatSwordArtOnlineRPG with a new update entry:

    TheGreatSwordArtOnlineRPG-Update v2.7

    Read the rest of this update entry...
     
  4. I'm not really into the SAO thing but the mob editor looks awesome! Any chance you will ever release it as a stand alone plugin?
     
  5. I need your help, my server says the plugins isn't working. I have the latest version of the spigot buildtools and it just won't load the other files for TheGreatSwordArtOnlineRPG plugin, it's not there. I would really like to use this plugin, could you please help me? Would you mind telling me which buildtools version it supports?
    it says this in the console btw,
    [11:55:26 ERROR]: Could not load 'plugins/TheGreatSwordArtOnlineRPG.jar' in folder 'plugins'

    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/shynixn/thegreatswordartonlinerpg/TheGreatSwordArtOnlineRPG : Unsupported major.minor version 51.0

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:288) [craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.<init>(CraftServer.java:250) [craftbukkit.jar:git-Bukkit-994b2aa]

    at net.minecraft.server.v1_8_R3.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-994b2aa]

    at net.minecraft.server.v1_8_R3.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-994b2aa]

    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:179) [craftbukkit.jar:git-Bukkit-994b2aa]

    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:507) [craftbukkit.jar:git-Bukkit-994b2aa]

    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]

    Caused by: java.lang.UnsupportedClassVersionError: com/shynixn/thegreatswordartonlinerpg/TheGreatSwordArtOnlineRPG : Unsupported major.minor version 51.0

    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]

    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]

    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]

    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]

    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]

    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]

    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]

    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]

    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]

    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]

    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]

    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-994b2aa]

    ... 9 more
     
    #27 HeroZero122, Jun 25, 2015
    Last edited: Jun 29, 2015
  6. hey i wanted to see how he plugin worked from your SAO server but it doesn't seem it is up anymore. Is there a new IP for that?
     
  7. Temporary not working on it. Continue it in august.
     
  8. Game version and plugin version do not match with 1.8 please specify what game version it's made for.
     
  9. Pretty dead. However if you ever plan on restarting this, with different features and solely for sao then I could definently use this and see this as a premium resource.

    Would be helpful on my SAO server.
     
  10. @Shynixn Darn this plugin looked like it had such potential.